edu.isi.pegasus.gridftp

## Class PegasusGridFTP

- java.lang.Object
- - edu.isi.pegasus.gridftp.PegasusGridFTP

    public class PegasusGridFTP
    extends java.lang.Object

Implements a command-line utility for performing file and directory operations on remote GridFTP servers.

Author:
  Gideon Juve <juve@usc.edu>

### Field Summary

Fields
`private static org.apache.commons.logging.Log` `logger`
`static java.lang.String` `NAME`

### Constructor Summary

Constructors
Constructor and Description
`PegasusGridFTP()`

### Method Summary

All Methods Static Methods Concrete Methods
`private static void` `execute(java.lang.String[] args)`
`static void` `main(java.lang.String[] args)`
`private static void` `options()`
`private static java.util.List<GridFTPURL>` `readURLs(java.io.File file)`
`private static void` `usage()`
`private static void` `usage(java.lang.String command)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### logger

    private static org.apache.commons.logging.Log logger

#### NAME

    public static java.lang.String NAME

### Constructor Detail

#### PegasusGridFTP

    public PegasusGridFTP()

### Method Detail

#### usage

    private static void usage()

#### options

    private static void options()

#### usage

    private static void usage(java.lang.String command)

#### readURLs

    private static java.util.List<GridFTPURL> readURLs(java.io.File file)
                                                throws java.net.MalformedURLException,
                                                       java.io.IOException

Throws:
  `java.net.MalformedURLException`
  `java.io.IOException`

#### execute

    private static void execute(java.lang.String[] args)
                         throws GridFTPException,
                                java.net.MalformedURLException,
                                java.io.IOException

Throws:
  `GridFTPException`
  `java.net.MalformedURLException`
  `java.io.IOException`

#### main

    public static void main(java.lang.String[] args)